%define name sympa
%define version 2.4
%define release 3mdk
%define home_s /home/sympa

Summary:  SYMPA is an electronic mailing list manager.
Summary(fr): SYMPA est un gestionnaire de listes lectroniques. 
Name:  %{name}
Version:  %{version}
Release:  %{release}
Copyright:  GPL/Artistic
Group: System/Servers
Source:  http://listes.cru.fr/sympa/distribution/%{name}-%{version}.tar.bz2
URL: http://listes.cru.fr/sympa/
Requires: perl >= 5.00403
Requires: perl-MailTools >= 1.00
Requires: perl-MIME-Base64   >= 1.0
Requires: perl-IO-stringy    >= 1.0
Requires: perl-Msgcat        >= 1.0
Requires: perl-MIME-tools    >= 1.0
Requires: perl-MD5           >= 1.0
Prereq: /usr/sbin/useradd
Prereq: /usr/sbin/groupadd
BuildRoot: %{_tmppath}/%{name}-%{version}
Prefix: %{_prefix}

%description
SYMPA is an electronic mailing list manager. It is used to automate list
management functions such as subscription, moderation and management of 
archives. SYMPA also manages sending of messages to the lists, and 
makes it possible to reduce the load on the system. Provided that you 
have enough memory on your system, Sympa is especially well adapted for big 
lists. For a list with 20 000 subscribers, it takes 5 minutes to send a
message to 90% of subscribers, of course considering that the network is 
available.

Documentation is available under HTML and SGML (source) formats. 

%description -l fr
SYMPA est un gestionnaire de listes lectroniques. Il permet d'automatiser
les fonctions de gestion des listes telles les abonnements, la modration
et la gestion des archives. SYMPA gre galement le renvoi des messages
adresss aux listes et permet de limiter la charge sur le systme. Dans des
configurations avec suffisamment de mmoire, SYMPA est particulirement
adapt aux grandes listes. Avec une liste de 20 000 abonns, il faut 5 
minutes pour envoyer un message  90% des abonns, lorsque le rseau est 
disponible bien videmment.

La documentation est disponible  sous forme HTML. Pour consulter
la premire page veuillez ouvrir la page `doc/HTML/sympa.html' dans votre
outil de navigation prfr. Le source SGML de la doc est aussi disponible
pour gnration du format imprimable de votre choix.


%prep
rm -rf $RPM_BUILD_ROOT

%setup
find . \( -name ".#*" -o -name "*~" -o -name ".*~" -o -name "#*#" \) -exec  rm -f {} \;

%build
(cd src && patch -p0 < ../patch/patch.size && rm -f Log.pm~ && cd ..)||exit 1
cd src && make all && cd ..
cd nls && make && cd ..
strip src/queue
strip src/bouncequeue

%install
export DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{home_s}
cd src && make install && cd .. 
mkdir -p $RPM_BUILD_ROOT%{home_s}/sample
cp -R sample/* $RPM_BUILD_ROOT%{home_s}/sample
mkdir -p $RPM_BUILD_ROOT%{home_s}/script
cp -R script/* $RPM_BUILD_ROOT%{home_s}/script
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/nls
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/expl
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool/auth
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool/digest
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool/expire
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool/mod
mkdir -m 0755 -p $RPM_BUILD_ROOT%{home_s}/spool/msg
cd nls && make all && mv *.cat $RPM_BUILD_ROOT%{home_s}/nls && cd ..

echo "See README and INSTALL in %{prefix}/doc/%{name}-%{version}" > $RPM_BUILD_ROOT%{home_s}/README.first

bzip2 -9 doc/*.*
mkdir docs
mv doc docs
mv patch docs
#mv src docs
cd nls && rm -f *~ && cd ..
mv nls docs

%pre
# Try to add user and group 'sympa'
home_s_pw=`cat /etc/passwd|grep "^sympa:" \
           | sed -e "s=^sympa:[^:]*:[^:]*:[^:]*:[^:]*:\([^:]*\):.*=\1="`
if [ "x${home_s_pw}" = "x" ]; then
  /usr/sbin/groupadd -f sympa || :
  /usr/sbin/useradd -d %{home_s} -m -g sympa -c "Sympa mailing list" sympa || :
elif [ "${home_s_pw}" != "%{home_s}" ]; then
  echo "user sympa already exist with a home different from %{home_s}"
  exit 1
fi

%post
# try to install some default configuration files if none exists 

#if [ -f /etc/sympa.conf ]; then
#  mv /etc/sympa.conf /etc/sympa.conf.rpmorig
#fi
if [ ! -f /etc/sympa.conf ]; then
  cat /home/sympa/sample/sympa.conf | \
  sed "s=--BIN--=%{home_s}=g" | sed "s=--HOST--=${HOSTNAME}=g" \
  > /etc/sympa.conf
  chown sympa:sympa /etc/sympa.conf
fi

# try to log sympa
if [ -f /etc/syslog.conf ]; then
  if [ `grep -c sympa /etc/syslog.conf` -eq 0 ];then
    typeset -i cntlog
    cntlog=0
    while [ `grep -c local${cntlog} /etc/syslog.conf` -gt 0 ];do cntlog=$[${cntlog+1];done
    if [ ${cntlog} -le 9 ];then
      echo "# added by %{name}-%{version} rpm "$(date) >> /etc/syslog.conf
      echo "  local${cntlog}.*                    /var/log/sympa" >> /etc/syslog.conf
    fi    
  fi
fi
# try to add some sample entries in /etc/aliases for sympa
for a_file in /etc/aliases /etc/postfix/aliases; do
  if [ -f ${a_file} ]; then
    if [ `grep -c sympa ${a_file}` -eq 0 ]; then
      cp -f ${a_file} ${a_file}.rpmorig
      echo >> ${a_file}
      echo "# added by %{name}-%{version} rpm "$(date) >> ${a_file}
      if [ `grep -c listmaster ${a_file}` -eq 0 ]; then
        echo "# listmaster:     root" >> ${a_file}
      fi
      echo "# sympa: \"|/home/sympa/bin/queue 0 sympa\"" >> ${a_file}
      echo "# sympa-request:  listmaster@${HOSTNAME}" >> ${a_file}
      echo "# sympa-owner:    listmaster@${HOSTNAME}" >> ${a_file}
      echo "" >> ${a_file}
#     /usr/bin/newaliases
    fi  
  fi
done  
ln -s /home/sympa/sample/helpfile.en /home/sympa/expl/helpfile
ln -s /home/sympa/bin/scenari/subscribe.open_notify /home/sympa/bin/scenari/subscribe.open_notif

# eventually, add queue to sendmail security shell
if [ -d /etc/smrsh ]; then
  if [ ! -e /etc/smrsh/queue ]; then
    ln -s /home/sympa/bin/queue /etc/smrsh/queue
  fi
fi

%postun
if [ ! -d %{home_s} ]; then
  /usr/sbin/userdel sympa
  /usr/sbin/groupdel sympa  
fi
if [ $1 = 0 -a -d /etc/smrsh ]; then
  if [ -L /etc/smrsh/queue ]; then
    rm -f /etc/smrsh/queue
  fi
fi


%files
%defattr(-,sympa,sympa,0755)
%dir /home/sympa
%dir /home/sympa/bin
%dir /home/sympa/bin/scenari

/home/sympa/README.first
/home/sympa/bin/scenari/add.auth
/home/sympa/bin/scenari/add.closed
/home/sympa/bin/scenari/add.default
/home/sympa/bin/scenari/add.owner
/home/sympa/bin/scenari/add.owner_notify
/home/sympa/bin/scenari/create_list.intranet
/home/sympa/bin/scenari/create_list.listmaster
/home/sympa/bin/scenari/del.auth
/home/sympa/bin/scenari/del.closed
/home/sympa/bin/scenari/del.default
/home/sympa/bin/scenari/del.owner
/home/sympa/bin/scenari/del.owner_notify
/home/sympa/bin/scenari/edit_list.owner
/home/sympa/bin/scenari/editorkeyonly
/home/sympa/bin/scenari/editorkeyonlybis
/home/sympa/bin/scenari/info.default
/home/sympa/bin/scenari/info.open
/home/sympa/bin/scenari/info.private
/home/sympa/bin/scenari/remind.default
/home/sympa/bin/scenari/remind.listmaster
/home/sympa/bin/scenari/remind.owner
/home/sympa/bin/scenari/review.closed
/home/sympa/bin/scenari/review.default
/home/sympa/bin/scenari/review.listmaster
/home/sympa/bin/scenari/review.open
/home/sympa/bin/scenari/review.owner
/home/sympa/bin/scenari/review.private
/home/sympa/bin/scenari/review.public
/home/sympa/bin/scenari/send.closed
/home/sympa/bin/scenari/send.default
/home/sympa/bin/scenari/send.editor
/home/sympa/bin/scenari/send.editorkey
/home/sympa/bin/scenari/send.editorkeyonly
/home/sympa/bin/scenari/send.editorkeyonlyauth
/home/sympa/bin/scenari/send.intranet
/home/sympa/bin/scenari/send.intranetorprivate
/home/sympa/bin/scenari/send.newsletter
/home/sympa/bin/scenari/send.newsletterkeyonly
/home/sympa/bin/scenari/send.private
/home/sympa/bin/scenari/send.privatekey
/home/sympa/bin/scenari/send.privatekeyandeditorkeyonly
/home/sympa/bin/scenari/send.privateoreditorkey
/home/sympa/bin/scenari/send.privateorpublickey
/home/sympa/bin/scenari/send.public
/home/sympa/bin/scenari/send.publickey
/home/sympa/bin/scenari/subscribe.auth
/home/sympa/bin/scenari/subscribe.auth_notify
/home/sympa/bin/scenari/subscribe.auth_owner
/home/sympa/bin/scenari/subscribe.closed
/home/sympa/bin/scenari/subscribe.default
/home/sympa/bin/scenari/subscribe.intranet
/home/sympa/bin/scenari/subscribe.intranetorowner
/home/sympa/bin/scenari/subscribe.open
/home/sympa/bin/scenari/subscribe.open_notify
/home/sympa/bin/scenari/subscribe.open_quiet
/home/sympa/bin/scenari/subscribe.owner
/home/sympa/bin/scenari/unsubscribe.auth
/home/sympa/bin/scenari/unsubscribe.auth_notify
/home/sympa/bin/scenari/unsubscribe.closed
/home/sympa/bin/scenari/unsubscribe.default
/home/sympa/bin/scenari/unsubscribe.open
/home/sympa/bin/scenari/unsubscribe.open_notify
/home/sympa/bin/scenari/unsubscribe.owner
/home/sympa/bin/scenari/visibility.conceal
/home/sympa/bin/scenari/visibility.default
/home/sympa/bin/scenari/visibility.intranet
/home/sympa/bin/scenari/visibility.noconceal
/home/sympa/bin/sympa.pl
/home/sympa/bin/Archive.pm
/home/sympa/bin/Commands.pm
/home/sympa/bin/Conf.pm
/home/sympa/bin/Language.pm
/home/sympa/bin/List.pm
/home/sympa/bin/Log.pm
/home/sympa/bin/mail.pl
/home/sympa/bin/msg.pl
/home/sympa/bin/smtp.pm
/home/sympa/bin/tools.pl
/home/sympa/bin/Version.pm
/home/sympa/bin/queue
/home/sympa/bin/bouncequeue

%dir /home/sympa/nls
/home/sympa/nls/de.cat
/home/sympa/nls/es.cat
/home/sympa/nls/fr.cat
/home/sympa/nls/us.cat

%dir /home/sympa/expl

%dir /home/sympa/spool
%dir /home/sympa/spool/auth
%dir /home/sympa/spool/digest
%dir /home/sympa/spool/expire
%dir /home/sympa/spool/mod
%dir /home/sympa/spool/msg

%dir /home/sympa/sample
/home/sympa/sample/README
/home/sympa/sample/bye
/home/sympa/sample/config.digest
/home/sympa/sample/config.include
/home/sympa/sample/config.intranet
/home/sympa/sample/config.moderation
/home/sympa/sample/config.privateorpublickey
/home/sympa/sample/config.public
/home/sympa/sample/helpfile.advanced.de
/home/sympa/sample/helpfile.advanced.en
/home/sympa/sample/helpfile.advanced.fr
/home/sympa/sample/helpfile.de
/home/sympa/sample/helpfile.en
/home/sympa/sample/helpfile.fr
/home/sympa/sample/lists.footer
/home/sympa/sample/lists.header
/home/sympa/sample/reminder.en
/home/sympa/sample/reminder.fr
/home/sympa/sample/removed
/home/sympa/sample/sympa.conf
/home/sympa/sample/welcome.mime

%dir /home/sympa/script 
/home/sympa/script/README.fr
/home/sympa/script/create_db.mysql
/home/sympa/script/create_db.pgsql
/home/sympa/script/load_subscribers.pl
/home/sympa/script/orphan_killer.pl
/home/sympa/script/testldap.pl

%defattr(-,root,root)

%doc INSTALL KNOWN_BUGS LICENSE README RELEASE_NOTES
%doc docs/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 18 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- change group
* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- change group
- modif postun
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- version 2.4
* Fri Dec 17 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- added link /etc/smrsh/queue
- added link for /home/sympa/expl/helpfile
* Thu Dec 09 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- remove backup files from sources
- strip binary
* Mon Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- added prereq info.
- little cleanup.
* Fri Dec  3 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
